# fromQualifiedName<C> static method

Class<C> fromQualifiedName<C>(

1. String qualifiedName, [
2. ProtectionDomain? domain

])

Creates a Class instance from a fully qualified name.

Parameters:

- `qualifiedName`: The complete type path (e.g., "dart:core/string.dart.String")
- `domain`: Optional protection domain

Returns:

- A Class instance for the named type

Throws:

- `ReflectionException` if type cannot be resolved

## Implementation

    static Class<C> fromQualifiedName<C>(String qualifiedName, [ProtectionDomain? domain]) {
      return _Class<C>.fromQualifiedName(qualifiedName, domain ?? ProtectionDomain.current());
    }